Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.html.dom
Class HTMLDocumentImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.CoreDocumentImpl
                      weblogic.apache.xerces.dom.DocumentImpl
                          weblogic.apache.html.dom.HTMLDocumentImpl

All Implemented Interfaces:
  Cloneable, Document, DocumentEvent, DocumentLS, DocumentRange, DocumentTraversal, EventTarget, HTMLDocument, Node, NodeList, Serializable

public class HTMLDocumentImpl
extends DocumentImpl
implements HTMLDocument

Implements an HTML document. Provides access to the top level element in the document, its body and title.

Several methods create new nodes of all basic types (comment, text, element, etc.). These methods create new nodes but do not place them in the document tree. The nodes may be placed in the document tree using `Node.appendChild(org.w3c.dom.Node)` or `Node.insertBefore(org.w3c.dom.Node, org.w3c.dom.Node)`, or they may be placed in some other document tree.

Note: <FRAMESET> documents are not supported at the moment, neither are direct document writing (`open()`, `write(java.lang.String)`) and HTTP attribute methods (`getURL()`, `getCookie()`).

See Also:
  `HTMLDocument`, Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.DocumentImpl
`eventListeners, iterators, mutationEvents, ranges`

Fields inherited from class weblogic.apache.xerces.dom.CoreDocumentImpl
`actualEncoding, allowGrammarAccess, CDATA, changes, COMMENTS, DEFAULTS, docElement, docType, domNormalizer, DTNORMALIZATION, encoding, ENTITIES, errorChecking, fConfiguration, fDocumentURI, features, fEntityResolver, fErrorHandlerWrapper, fGrammar, fSymbolTable, identifiers, NAMESPACES, SPLITCDATA, standalone, userData, VALIDATION, version`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLDocumentImpl()`

Method Summary
`Node` | `cloneNode(boolean deep)` Deep-clone a document, including fixing ownerDoc for the cloned children.
`void` | `close()`
`Attr` | `createAttribute(String name)` Creates an Attribute having this Document as its OwnerDoc.
`Element` | `createElement(String tagName)` Factory method; creates an Element having this Document as its OwnerDoc.
`Element` | `createElementNS(String namespaceURI, String qualifiedName)` Introduced in DOM Level 2.
`Element` | `createElementNS(String namespaceURI, String qualifiedName, String localpart)` Xerces-specific constructor.
`HTMLCollection` | `getAnchors()`
`HTMLCollection` | `getApplets()`
`HTMLElement` | `getBody()`
`String` | `getCookie()`
`Element` | `getDocumentElement()` Convenience method, allowing direct access to the child node which is considered the root of the actual document content.
`String` | `getDomain()`
`Element` | `getElementById(String elementId)` Introduced in DOM Level 2 Returns the Element whose ID is given by elementId.
`NodeList` | `getElementsByName(String elementName)`
`NodeList` | `getElementsByTagName(String tagName)` Return a live collection of all descendent Elements (not just immediate children) having the specified tag name.
`NodeList` | `getElementsByTagNameNS(String namespaceURI, String localName)` Introduced in DOM Level 2.
`HTMLCollection` | `getForms()`
`HTMLElement` | `getHead()` Obtains the <HEAD> element in the document, creating one if does not exist before.
`HTMLCollection` | `getImages()`
`HTMLCollection` | `getLinks()`
`String` | `getReferrer()`
`String` | `getTitle()`
`String` | `getURL()`
`void` | `open()`
`void` | `setBody(HTMLElement newBody)`
`void` | `setCookie(String cookie)`
`void` | `setTitle(String newTitle)`
`void` | `write(String text)`
`void` | `writeln(String text)`

Methods inherited from class weblogic.apache.xerces.dom.DocumentImpl
`addEventListener, copyEventListeners, createEvent, createNodeIterator, createNodeIterator, createRange, createTreeWalker, createTreeWalker, dispatchAggregateEvents, dispatchAggregateEvents, dispatchEvent, dispatchEventToSubtree, getEventListeners, getImplementation, removeEventListener, saveEnclosingAttr, setEventListeners`

Methods inherited from class weblogic.apache.xerces.dom.CoreDocumentImpl
`abort, adoptNode, canSetNormalizationFeature, changed, changes, clone, cloneNode, copyConfigurationProperties, createAttributeNS, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createDocumentType, createElementDefinition, createEntity, createEntityReference, createNotation, createProcessingInstruction, createTextNode, finalize, getActualEncoding, getAsync, getBaseURI, getDoctype, getDocumentURI, getEncoding, getErrorChecking, getErrorHandler, getIdentifier, getIdentifiers, getNodeName, getNodeType, getNormalizationFeature, getOwnerDocument, getStandalone, getStrictErrorChecking, getTextContent, getUserData, getUserData, getVersion, importNode, insertBefore, isKidOK, isNormalizeDocRequired, isXMLName, load, loadXML, normalizeDocument, putIdentifier, removeChild, removeIdentifier, renameNode, replaceChild, saveXML, setActualEncoding, setAsync, setDocumentURI, setEncoding, setErrorChecking, setErrorHandler, setNormalizationFeature, setStandalone, setStrictErrorChecking, setTextContent, setUserData, setUserData, setVersion`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, hasChildNodes, isEqualNode, item, normalize, setReadOnly, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, compareTreePosition, dispatchEvent, getAttributes, getInterface, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Document
`adoptNode, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createEntityReference, createProcessingInstruction, createTextNode, getDoctype, getDocumentURI, getImplementation, getStrictErrorChecking, importNode, normalizeDocument, renameNode, setDocumentURI, setStrictErrorChecking`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLDocumentImpl

    public HTMLDocumentImpl()

Method Detail

### cloneNode

    public Node cloneNode(boolean deep)

  Description copied from class: `DocumentImpl`
  Deep-clone a document, including fixing ownerDoc for the cloned children. Note that this requires bypassing the WRONG_DOCUMENT_ERR protection. I've chosen to implement it by calling importNode which is DOM Level 2.

  Specified by:
    `cloneNode` in interface `Node`
  Overrides:
    `cloneNode` in class `DocumentImpl`
  Parameters:
    `deep` - boolean, iff true replicate children
  Returns:
    org.w3c.dom.Node

### close

    public void close()

  Specified by:
    `close` in interface `HTMLDocument`

### createAttribute

    public Attr createAttribute(String name)
                         throws DOMException

  Creates an Attribute having this Document as its OwnerDoc. Overrides `CoreDocumentImpl.createAttribute(java.lang.String)` and returns and attribute whose name is lower case.

  Specified by:
    `createAttribute` in interface `Document`
  Overrides:
    `createAttribute` in class `CoreDocumentImpl`
  Parameters:
    `name` - The name of the attribute
  Returns:
    An attribute whose name is all lower case
  Throws:
    `DOMException(INVALID_NAME_ERR)` - if the attribute name is not acceptable
    `DOMException`

### createElement

    public Element createElement(String tagName)
                          throws DOMException

  Description copied from class: `CoreDocumentImpl`
  Factory method; creates an Element having this Document as its OwnerDoc.

  Specified by:
    `createElement` in interface `Document`
  Overrides:
    `createElement` in class `CoreDocumentImpl`
  Parameters:
    `tagName` - The name of the element type to instantiate. For XML, this is case-sensitive. For HTML, the tagName parameter may be provided in any case, but it must be mapped to the canonical uppercase form by the DOM implementation.
  Throws:
    `DOMException`

### createElementNS

    public Element createElementNS(String namespaceURI,
                                   String qualifiedName)

  Description copied from class: `CoreDocumentImpl`
  Introduced in DOM Level 2.

  Creates an element of the given qualified name and namespace URI. If the given namespaceURI is null or an empty string and the qualifiedName has a prefix that is "xml", the created element is bound to the predefined namespace "http://www.w3.org/XML/1998/namespace" [Namespaces].

  Specified by:
    `createElementNS` in interface `Document`
  Overrides:
    `createElementNS` in class `CoreDocumentImpl`
  Parameters:
    `namespaceURI` - The namespace URI of the element to create.
    `qualifiedName` - The qualified name of the element type to instantiate.
  Returns:
    Element A new Element object with the following attributes:

### createElementNS

    public Element createElementNS(String namespaceURI,
                                   String qualifiedName,
                                   String localpart)
                            throws DOMException

  Xerces-specific constructor. "localName" is passed in, so we don't need to create a new String for it.

  Overrides:
    `createElementNS` in class `CoreDocumentImpl`
  Parameters:
    `namespaceURI` - The namespace URI of the element to create.
    `qualifiedName` - The qualified name of the element type to instantiate.
  Returns:
    Element A new Element object with the following attributes:
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified name contains an invalid character.

### getAnchors

    public HTMLCollection getAnchors()

  Specified by:
    `getAnchors` in interface `HTMLDocument`

### getApplets

    public HTMLCollection getApplets()

  Specified by:
    `getApplets` in interface `HTMLDocument`

### getBody

    public HTMLElement getBody()

  Specified by:
    `getBody` in interface `HTMLDocument`

### getCookie

    public String getCookie()

  Specified by:
    `getCookie` in interface `HTMLDocument`

### getDocumentElement

    public Element getDocumentElement()

  Description copied from class: `CoreDocumentImpl`
  Convenience method, allowing direct access to the child node which is considered the root of the actual document content. For HTML, where it is legal to have more than one Element at the top level of the document, we pick the one with the tagName "HTML". For XML there should be only one top-level (HTML not yet supported.)

  Specified by:
    `getDocumentElement` in interface `Document`
  Overrides:
    `getDocumentElement` in class `CoreDocumentImpl`

### getDomain

    public String getDomain()

  Specified by:
    `getDomain` in interface `HTMLDocument`

### getElementById

    public Element getElementById(String elementId)

  Description copied from class: `CoreDocumentImpl`
  Introduced in DOM Level 2 Returns the Element whose ID is given by elementId. If no such element exists, returns null. Behavior is not defined if more than one element has this ID.

  Note: The DOM implementation must have information that says which attributes are of type ID. Attributes with the name "ID" are not of type ID unless so defined. Implementations that do not know whether attributes are of type ID or not are expected to return null.

  Specified by:
    `getElementById` in interface `Document`
  Overrides:
    `getElementById` in class `CoreDocumentImpl`
  See Also:
    `CoreDocumentImpl.getIdentifier(java.lang.String)`

### getElementsByName

    public NodeList getElementsByName(String elementName)

  Specified by:
    `getElementsByName` in interface `HTMLDocument`

### getElementsByTagName

    public final NodeList getElementsByTagName(String tagName)

  Description copied from class: `CoreDocumentImpl`
  Return a live collection of all descendent Elements (not just immediate children) having the specified tag name.

  Specified by:
    `getElementsByTagName` in interface `Document`
  Overrides:
    `getElementsByTagName` in class `CoreDocumentImpl`
  Parameters:
    `tagName` - The type of Element we want to gather. "*" will be taken as a wildcard, meaning "all elements in the document."
  See Also:
    `DeepNodeListImpl`

### getElementsByTagNameNS

    public final NodeList getElementsByTagNameNS(String namespaceURI,
                                                 String localName)

  Description copied from class: `CoreDocumentImpl`
  Introduced in DOM Level 2.

  Returns a NodeList of all the Elements with a given local name and namespace URI in the order in which they would be encountered in a preorder traversal of the Document tree.

  Specified by:
    `getElementsByTagNameNS` in interface `Document`
  Overrides:
    `getElementsByTagNameNS` in class `CoreDocumentImpl`
  Parameters:
    `namespaceURI` - The namespace URI of the elements to match on. The special value "*" matches all namespaces. When it is null or an empty string, this method behaves like getElementsByTagName.
    `localName` - The local name of the elements to match on. The special value "*" matches all local names.
  Returns:
    NodeList A new NodeList object containing all the matched Elements.

### getForms

    public HTMLCollection getForms()

  Specified by:
    `getForms` in interface `HTMLDocument`

### getHead

    public HTMLElement getHead()

  Obtains the <HEAD> element in the document, creating one if does not exist before. The <HEAD> element is the first element in the <HTML> in the document. The <HTML> element is obtained by calling `getDocumentElement()`. If the element does not exist, one is created.

  Called by `getTitle()`, `setTitle(java.lang.String)`, `getBody()` and `setBody(org.w3c.dom.html.HTMLElement)` to assure the document has the <HEAD> element correctly placed.

  Returns:
    The <HEAD> element

### getImages

    public HTMLCollection getImages()

  Specified by:
    `getImages` in interface `HTMLDocument`

### getLinks

    public HTMLCollection getLinks()

  Specified by:
    `getLinks` in interface `HTMLDocument`

### getReferrer

    public String getReferrer()

  Specified by:
    `getReferrer` in interface `HTMLDocument`

### getTitle

    public String getTitle()

  Specified by:
    `getTitle` in interface `HTMLDocument`

### getURL

    public String getURL()

  Specified by:
    `getURL` in interface `HTMLDocument`

### open

    public void open()

  Specified by:
    `open` in interface `HTMLDocument`

### setBody

    public void setBody(HTMLElement newBody)

  Specified by:
    `setBody` in interface `HTMLDocument`

### setCookie

    public void setCookie(String cookie)

  Specified by:
    `setCookie` in interface `HTMLDocument`

### setTitle

    public void setTitle(String newTitle)

  Specified by:
    `setTitle` in interface `HTMLDocument`

### write

    public void write(String text)

  Specified by:
    `write` in interface `HTMLDocument`

### writeln

    public void writeln(String text)

  Specified by:
    `writeln` in interface `HTMLDocument`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD